apiVersion: cert-manager.io/v1
kind: ClusterIssuer                 # ou "Issuer" si confiné dans un namespace
metadata:
  name: letsencrypt-production    # ou "letsencrypt-pour-jouer" (si l’on opte pour staging ci-après)
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory   # ou https://acme-staging-v02.api.letsencrypt.org/directory
    email: yannick@diablotin.fr
#    profile: tlsserver     # "classic" par défaut (https://cert-manager.io/docs/configuration/acme/#acme-certificate-profiles)
    privateKeySecretRef:
      name: clef-letsencrypt-prod   # ou clef-letsencrypt-jeu (si staging ci-avant)
    solvers:
      - http01:
          ingress:
            ingressClassName: nginx   # anciennement "class: nginx" (https://cert-manager.io/docs/releases/upgrading/ingress-class-compatibility)
